Method: getMetadata

  • This page describes how to retrieve metadata for dimensions and metrics available in reporting methods.

  • The HTTP request to get this metadata is a GET request to https://analyticsdata.googleapis.com/v1alpha/{name}.

  • The request requires a name path parameter, which is a string representing the metadata to retrieve.

  • The request body must be empty and the response body contains an instance of Metadata.

  • Authorization requires specific OAuth scopes like https://www.googleapis.com/auth/analytics.readonly or https://www.googleapis.com/auth/analytics.

Returns metadata for dimensions and metrics available in reporting methods. Used to explore the dimensions and metrics. Dimensions and metrics will be mostly added over time, but renames and deletions may occur.

HTTP request

GET https://analyticsdata.googleapis.com/v1alpha/{name}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the metadata to retrieve. Either has the form 'metadata' or 'properties/{property}/metadata'. This name field is specified in the URL path and not URL parameters. Property is a numeric Google Analytics App + Web Property Id.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Metadata.

Authorization Scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/analytics.readonly
  • https://www.googleapis.com/auth/analytics